# An Automated System for Lookup Persistent Identifiers for Mathematical Articles and Their Reviews

Running application using docker where build of container is done locally
------------

In a root directory of this project use following command to build a docker container:

```
$ docker build -t automation-system .
```

Use following command to run docker container:

```
$ docker-compose up
```

Running application using docker and download image from Docker Hub
------------

Use following command to run docker container, in a directory where you want to get your image from Docker Hub:

```
$ docker run -p 5000:5000 -v app:/bachelor-thesis petermercell/persistent-identifiers-lookup-system
```         


Retrieving DOI/MR/ZBL identifiers using curl
------------

You can see all necessary information documented using SWAGGER UI with your browser, when you run application using docker and then in your browser go to and see each documented endpoint
```
http://127.0.0.1:5000
```


Retrieving DOI using python
------------

Use a following command to retrieve DOI from xml file :

```
$ python .\client.py -x_doi {path to xml file} -o {json output file name, for instance output.json}
```

Use a following command to retrieve DOI from txt file :

```
$ python .\client.py -t_doi {path to txt file} -o {json output file name, for instance output.json}
```

Use a following command to retrieve DOI from json file :

```
$ python .\client.py -j_doi {path to json file} -o {json output file name, for instance output.json}
```

Retrieving ZBL using python
------------

Use a following command to retrieve ZBL from xml file :

```
$ python .\client.py -x_zbl {path to xml file} -o {json output file name, for instance output.json}
```

Use a following command to retrieve ZBL from txt file :

```
$ python .\client.py -t_zbl {path to txt file} -o {json output file name, for instance output.json}
```

Use a following command to retrieve ZBL from json file :

```
$ python .\client.py -j_zbl {path to json file} -o {json output file name, for instance output.json}
```

Retrieving MR using python
------------

Use a following command to retrieve MR from xml file :

```
$ python .\client.py -x_mr {path to xml file} -o {json output file name, for instance output.json}
```

Use a following command to retrieve MR from txt file :

```
$ python .\client.py -t_mr {path to txt file} -o {json output file name, for instance output.json}
```

Use a following command to retrieve MR from json file :

```
$ python .\client.py -j_mr {path to json file} -o {json output file name, for instance output.json}
```


Retrieving all identifiers - DOI, ZBL and MR using python
------------

Use a following command to retrieve all identifiers from xml file :

```
$ python .\client.py -x_all {path to xml file} -o {json output file name, for instance output.json}
```

Use a following command to retrieve all identifiers from txt file :

```
$ python .\client.py -t_all {path to txt file} -o {json output file name, for instance output.json}
```

Use a following command to retrieve all identifiers from json file :

```
$ python .\client.py -j_all {path to json file} -o {json output file name, for instance output.json}
```